Bug 63815 - redhat-config-users doesn't work
redhat-config-users doesn't work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-18 20:27 EDT by Akira TAGOH
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-19 00:04:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2002-04-18 20:27:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
dump a backtrace:
Traceback (most recent call last):
  File "/usr/share/redhat-config-users/redhat-config-users.py", line 36, in ?
    mainWindow.mainWindow()
  File "/usr/share/redhat-config-users/mainWindow.py", line 143, in __init__
    self.ADMIN = libuser.admin(prompt=admin_prompt_callback,
prompt_data=(_('Logon Information Required'),))
  File "/usr/share/redhat-config-users/mainWindow.py", line 46, in _
    return gettext.dgettext(domain, string).decode(charset).encode("UTF-8")
LookupError: unknown encoding


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.runs redhat-config-users with LANG=ja_JP.eucJP
2.
3.
	

Additional info: it works with locale like LANG=C and LANG=en_US.
Comment 1 Akira TAGOH 2002-04-18 20:28:31 EDT
I tested this on Valhalla-re0417.1
Comment 2 Brent Fox 2002-04-18 23:42:38 EDT
Nalin, I think you made this change the other day to let non UTF-8 strings to be
treated as UTF8 by gtk2.  Any ideas here?  This seems pretty bad.
Comment 3 Brent Fox 2002-04-19 00:03:57 EDT
Nalin has a fix for this in CVS now.  The package is rebuilding at the moment.
Comment 4 Brent Fox 2002-04-19 09:11:15 EDT
Should be fixed in redhat-config-users-1.0.1-5.noarch.rpm.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.